# Generated by Django 3.1.4 on 2021-02-17 13:04

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Name')),
            ],
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, verbose_name='Name')),
                ('institute', models.CharField(default='', max_length=100, verbose_name='Institute')),
            ],
        ),
        migrations.CreateModel(
            name='OrganizationAndActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.activity')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.organization')),
            ],
        ),
        migrations.CreateModel(
            name='Events',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('post_id', models.IntegerField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='Post_id')),
                ('name', models.CharField(max_length=100, verbose_name='Name')),
                ('description', models.TextField(max_length=10000, verbose_name='Description')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('location', models.CharField(blank=True, default='', max_length=250, verbose_name='Location')),
                ('review', models.CharField(default='', max_length=250, verbose_name='Review')),
                ('unique_folder_name', models.UUIDField(blank=True, default=uuid.uuid4, unique=True, verbose_name='Unique folder name')),
                ('image', models.URLField(default='http://localhost:8000/media/logo.jpg', max_length=500, verbose_name='Image url')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to='events.organization', verbose_name='Organization')),
            ],
            options={
                'ordering': ('date',),
            },
        ),
    ]
